主题
Google Ads 广告主实时查询(高级版)
接口说明
该接口用于实时查询 Google Ads 广告主信息,数据来源于 Google Ads Transparency 平台。你可以根据以及指定地区,获取对应广告主的搜索结果:
- 多账户广告主聚合结果
- 单个广告主账户
- 以域名识别的广告主
接口路径:
POST /v3/serp/google/ads_advertisers/live/advanced
完整请求地址:
https://api.seermartech.cn/v3/serp/google/ads_advertisers/live/advanced
计费与调用限制
- 该接口按任务计费在成功创建任务时扣费
- 参考价约 ¥0.0320 / 次
- 若使用高优级任务,会产生额外费用
- 实扣费以响应头
X-SeerMarTech-Charge-CNY为准 - 每分钟最多可发起 2000 次 API 调用
- Live SERP 接口每次请求 只能提交 1 个任务
- POST 请求体为 UTF-8 编码的 JSON 数组格式:
[{ ... }]
请求参数
以下字段用于设置任务。
| 字段名 | 类型 | 说明 |
|---|---|---|
keyword | string | 填。查询,最长 700 个字符。%## 会被解码,+ 会被解码为空格。如果中需要保留 %,请写为 %25;如果需要保留 +,请写为 %2B。 |
location_name | string | 可选。搜索地区完整名称。使用该字段时,无需再传 location_code 或 location_coordinate。示例:London,England,United Kingdom。如未指定 location_name、location_code 或 location_coordinate,则会在所有可用地区范围搜索广告主。可通过 /v3/serp/google/ads_advertisers/locations 获取可用地区列表。 |
location_code | integer | 可选。搜索地区编码。使用该字段时,无需再传 location_name 或 location_coordinate。示例:2840。如未指定任一地区参数,则会在所有可用地区范围搜索广告主。可通过 /v3/serp/google/ads_advertisers/locations 获取可用地区列表。 |
location_coordinate | string | 可选。地理坐标,格式为 纬度,经度。使用该字段时,无需再传 location_name 或 location_code。示例:52.6178549,-155.352142。如未指定任一地区参数,则会在所有可用地区范围搜索广告主。 |
priority | integer | 可选。任务优级。1 = 普通优级(默认);2 = 高优级。高优级会增加费用。 |
tag | string | 可选。自定义任务标识,最长 255 个字符。可用于将请求与响应结果进行对应,返回时会出现在响应的 data 对象中。 |
请求示例
cURL
bash
curl --location --request POST "https://api.seermartech.cn/v3/serp/google/ads_advertisers/live/advanced" \
--header "Authorization: Bearer smt_live_YOUR_KEY" \
--header "Content-Type: application/json" \
--data-raw '[
{
"language_code": "en",
"location_code": 2840,
"keyword": "apple"
}
]'Python
python
import requests
url = "https://api.seermartech.cn/v3/serp/google/ads_advertisers/live/advanced"
headers = {
"Authorization": "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json"
}
data = [
{
"language_code": "en",
"location_code": 2840,
"keyword": "apple"
}
]
response = requests.post(url, headers=headers, json=data)
print(response.json)TypeScript
typescript
import axios from "axios";
async function fetchAdsAdvertisers {
const response = await axios.post(
"https://api.seermartech.cn/v3/serp/google/ads_advertisers/live/advanced",
[
{
language_code: "en",
location_code: 2840,
keyword: "apple",
},
],
{
headers: {
Authorization: "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json",
},
}
);
console.log(response.data);
}
fetchAdsAdvertisers;响应结构
接口返回 JSON 数据,顶层 tasks 数组。
顶层字段
| 字段名 | 类型 | 说明 |
|---|---|---|
version | string | 当前 API 版本 |
status_code | integer | 通用状态码,完整错误码可参考 /v3/appendix/errors |
status_message | string | 通用状态信息 |
time | string | 执行耗时,单位秒 |
cost | float | 本次请求总费用,单位 USD |
tasks_count | integer | tasks 数组中的任务数量 |
tasks_error | integer | 返回错误的任务数量 |
tasks | array | 任务结果数组 |
tasks[] 字段
| 字段名 | 类型 | 说明 |
|---|---|---|
id | string | 任务唯一标识,UUID 格式 |
status_code | integer | 任务状态码,范围通常为 10000–60000,完整错误码见 /v3/appendix/errors |
status_message | string | 任务状态说明 |
time | string | 任务执行耗时 |
cost | float | 该任务费用,单位 USD |
result_count | integer | result 数组中的结果数 |
path | array | 请求路径 |
data | object | 回显请求时提交的参数 |
result | array | 结果数组 |
result[] 字段
| 字段名 | 类型 | 说明 |
|---|---|---|
keyword | string | 请求中的。返回时的 %## 会被解码,+ 会被解码为空格 |
type | string | 请求中的搜索引擎类型 |
se_domain | string | 请求中的搜索引擎域名 |
location_code | integer | 请求中的地区编码 |
language_code | string | 请求中的语言代码 |
check_url | string | 对应搜索结果页直达链接,可用于校验结果准确性 |
datetime | string | 结果抓取时间,UTC 格式:yyyy-mm-dd hh-mm-ss +00:00 |
spell | object / null | 搜索引擎自动纠错信息;若无纠错则为 null |
refinement_chips | object | 搜索细化条件 |
item_types | array | 当前 SERP 中出现的结果类型,可能值:ads_muti_account_advertiser、ads_advertiser、ads_domain |
se_results_count | integer | SERP 总结果数 |
items_count | integer | items 数组中的结果数量 |
items | array | 实返回的广告主结果列表 |
refinement_chips 对象
| 字段名 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 refinement_chips |
xpath | string | 素的 XPath |
items | array | 细化选项列表 |
refinement_chips.items[]
| 字段名 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 refinement_chips_element |
title | string | 细化项标题 |
url | string | 带有细化参数的搜索 URL |
domain | string | SERP 中对应域名 |
options | array | 进一步细化选项 |
options[]
| 字段名 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 refinement_chips_option |
title | string | 选项标题 |
url | string | 带有细化参数的搜索 URL |
domain | string | SERP 中对应域名 |
items 结果类型说明
1) ads_multi_account_advertiser
表示在 Google Ads 中,多个广告账户相似广告主名称的聚合结果。
| 字段名 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 ads_multi_account_advertiser |
rank_group | integer | 同类型结果中的组排名 |
rank_absolute | integer | 在整个 SERP 中的绝对排名 |
title | string | 广告主名称 |
location | string | 广告主地区 |
approx_ads_count | integer | 该广告主在所有可用 Google Ads 平台上的广告数量估值 |
advertisers | array | 广告账户列表 |
advertisers[]
| 字段名 | 类型 | 说明 |
|---|---|---|
type | string | 素类型,可能为 advertiser |
advertiser_id | string | 广告主账户唯一标识。可用于从 /v3/serp/google/ads_search/task_post/ 获取广告活动数据 |
location | string | 广告主账户所属国家/地区代码 |
verified | boolean | 是否为已验证广告主账户。true 表示已由 Google Ads 验证 |
approx_ads_count | integer | 该账户在所有可用 Google Ads 平台上的广告数量估值 |
2) ads_advertiser
表示单个 Google Ads 广告主账户。
| 字段名 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 ads_advertiser |
rank_group | integer | 同类型结果中的组排名 |
rank_absolute | integer | 在整个 SERP 中的绝对排名 |
title | string | 广告主名称 |
location | string | 广告主地区 |
verified | boolean | 是否为已验证广告主账户 |
approx_ads_count | integer | 该广告主在所有可用 Google Ads 平台上的广告数量估值 |
advertiser_id | string | 广告主账户唯一标识 |
3) ads_domain
表示以域名识别出的 Google Ads 广告主。
| 字段名 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 ads_domain |
rank_group | integer | 同类型结果中的组排名 |
rank_absolute | integer | 在整个 SERP 中的绝对排名 |
domain | string | 域名,例如:example.com |
响应示例
json
{
"version": "0.1.20241203",
"status_code": 20000,
"status_message": "Ok.",
"time": "2.0907 sec.",
"cost": 0.002,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"data": {
"api": "serp",
"function": "live",
"se": "google",
"se_type": "ads_advertisers",
"location_code": 2840,
"keyword": "apple",
"device": "desktop",
"os": "windows"
},
"result": [
{
"se_results_count": 0,
"items_count": 16,
"items": [
{
"type": "ads_multi_account_advertiser",
"rank_group": 2,
"rank_absolute": 2,
"title": "Apple",
"location": "US",
"approx_ads_count": 602,
"advertisers": []
},
{
"type": "ads_advertiser",
"rank_group": 1,
"rank_absolute": 3,
"title": "Apple Inc",
"advertiser_id": "AR08619798719379800065",
"location": "US",
"verified": true,
"approx_ads_count": 63
},
{
"type": "ads_advertiser",
"rank_group": 2,
"rank_absolute": 4,
"title": "AppleAire",
"advertiser_id": "AR17003630320609656833",
"location": "US",
"verified": true,
"approx_ads_count": 59
},
{
"type": "ads_advertiser",
"rank_group": 3,
"rank_absolute": 5,
"title": "Apple Auto",
"advertiser_id": "AR12151332228441309185",
"location": "US",
"verified": true,
"approx_ads_count": 19
},
{
"type": "ads_advertiser",
"rank_group": 4,
"rank_absolute": 6,
"title": "Apple Wood",
"advertiser_id": "AR06010505619184812033",
"location": "US",
"verified": true,
"approx_ads_count": 3
},
{
"type": "ads_domain",
"rank_group": 1,
"rank_absolute": 7,
"domain": "apple.com"
},
{
"type": "ads_domain",
"rank_group": 2,
"rank_absolute": 8,
"domain": "applern.com"
},
{
"type": "ads_domain",
"rank_group": 3,
"rank_absolute": 9,
"domain": "snapple.com"
},
{
"type": "ads_domain",
"rank_group": 4,
"rank_absolute": 10,
"domain": "applecart.co"
},
{
"type": "ads_domain",
"rank_group": 5,
"rank_absolute": 11,
"domain": "apple4you.hu"
},
{
"type": "ads_domain",
"rank_group": 6,
"rank_absolute": 12,
"domain": "applefcu.org"
},
{
"type": "ads_domain",
"rank_group": 7,
"rank_absolute": 13,
"domain": "applebank.com"
},
{
"type": "ads_domain",
"rank_group": 8,
"rank_absolute": 14,
"domain": "applefarm.com"
},
{
"type": "ads_domain",
"rank_group": 9,
"rank_absolute": 15,
"domain": "applecdjr.com"
},
{
"type": "ads_domain",
"rank_group": 10,
"rank_absolute": 16,
"domain": "limeapple.com"
}
]
}
]
}
]
}错误处理
- 顶层
status_code表示整次请求的执行状态 tasks[].status_code表示单个任务的执行状态- 建议同时检查:
- HTTP 状态码
- 顶层
status_code - 任务级
tasks[].status_code - 完整错误码与说明可参考
/v3/appendix/errors
使用建议
- 若需要更快返回结果,可使用
priority=2,但费用更高 - 若你希望限制到某个市场,请显式指定
location_name、location_code或location_coordinate - 如果需要将广告主与投放活动进一步打通,可使用返回的
advertiser_id调用广告搜索接口 - 对于中的特殊字符,请按编码规则传值,结果偏差
实用场景
- 识别品牌投放主体:品牌词,快速查看该词下活跃的广告主账户,判断是否存在官方账号、代理商或仿冒投放主体。
- 筛查竞品广告账户:围绕行业批量查询广告主,识别正在持续投放的竞争品牌及账户规模。
- 追踪广告覆盖规模:通过
approx_ads_count评估某个广告主或品牌在 Google Ads 上的大致投放活跃度,为竞价报分析提供依据。 - 发现投放域名:利用
ads_domain结果识别与的落地域名,品牌保护、联盟站点排查与竞品落地页研究。 - 定位区域化广告主差异:结合不同
location_code查询同一,比较各地区广告主构成差异,支持 SEO 与跨市场营销研究。